<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    tools:context=".fragment.GjcYiKuFragment"
    android:orientation="vertical">

    <include layout="@layout/title_tool_bar" />

    <!--        搜索、列表页-->
    <LinearLayout
        android:id="@+id/searchListFragment"
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:orientation="vertical"
        android:visibility="visible">

        <!--            搜索 框 列表区域-->
        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_weight="1"
            android:background="@color/list_bg"
            android:orientation="vertical"
            android:paddingLeft="20dp"
            android:paddingTop="10dp"
            android:paddingRight="20dp"
            android:paddingBottom="10dp">
            <!--        搜索框 区域-->
            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="50dp"
                android:layout_marginTop="10dp"
                android:gravity="center"
                android:orientation="horizontal"
                android:paddingTop="5dp"
                android:paddingBottom="5dp">

                <!--            运单号-->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_search_row"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/wbNo"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入运单号"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                    <ImageView
                        android:id="@+id/wbNoScanIcon"
                        android:layout_width="20dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center"
                        android:layout_marginLeft="2dp"
                        android:layout_marginRight="10dp"
                        android:src="@mipmap/scan_code" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="20dp"
                    android:layout_height="match_parent" />

                <!-- 承运人               -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_search_row"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/carrier"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入承运人"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="20dp"
                    android:layout_height="match_parent" />

                <!-- 目的港查询               -->
                <LinearLayout
                    android:layout_width="0dp"
                    android:layout_weight="1"
                    android:layout_height="match_parent"
                    android:background="@drawable/bg_search_row"
                    android:orientation="horizontal">

                    <EditText
                        android:id="@+id/dest"
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1"
                        android:background="@drawable/input_edit_text"
                        android:gravity="center"
                        android:hint="请输入目的港"
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:singleLine="true"
                        android:textSize="15dp" />

                </LinearLayout>

                <LinearLayout
                    android:layout_width="20dp"
                    android:layout_height="match_parent" />

                <!--            搜索图标-->
                <LinearLayout
                    android:id="@+id/searchLayout"
                    android:layout_width="40dp"
                    android:layout_height="40dp"
                    android:background="@drawable/search_shape_gnc_ware_house2"
                    android:padding="10dp">

                    <ImageView
                        android:layout_width="wrap_content"
                        android:layout_height="match_parent"
                        android:src="@mipmap/search"
                        app:tint="@color/colorPrimary" />
                </LinearLayout>

                <LinearLayout
                    android:layout_width="10dp"
                    android:layout_height="match_parent" />
            </LinearLayout>

            <!--列表-->
            <LinearLayout
                android:id="@+id/listLayout"
                android:layout_width="match_parent"
                android:layout_height="0dp"
                android:layout_marginTop="10dp"
                android:layout_weight="1"
                android:orientation="vertical"
                android:visibility="gone">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="30dp"
                    android:gravity="center_vertical"
                    android:orientation="horizontal">

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:gravity="center|start"
                        android:text="全选" />

                    <ImageView
                        android:id="@+id/checkIcon"
                        android:layout_width="30dp"
                        android:layout_height="30dp"
                        android:layout_marginLeft="2dp"
                        android:src="@mipmap/gjc_check_icon" />

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_weight="1" />

                    <TextView
                        android:layout_width="wrap_content"
                        android:layout_height="wrap_content"
                        android:layout_marginRight="5dp"
                        android:gravity="center|right"
                        android:text="快速检索" />

                    <EditText
                        android:id="@+id/quickSearch"
                        android:layout_width="100dp"
                        android:layout_height="20dp"
                        android:layout_gravity="center"
                        android:background="@drawable/input_edit_text"
                        android:gravity="start"
                        android:hint=""
                        android:imeOptions="actionDone"
                        android:inputType="text"
                        android:maxLines="1"
                        android:paddingLeft="5dp"
                        android:singleLine="true"
                        android:textSize="15dp" />
                </LinearLayout>

                <com.scwang.smart.refresh.layout.SmartRefreshLayout
                    android:id="@+id/refreshLayout"
                    android:layout_width="match_parent"
                    android:layout_height="match_parent">

                    <com.scwang.smart.refresh.header.ClassicsHeader
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />

                    <androidx.recyclerview.widget.RecyclerView
                        android:id="@+id/collectList"
                        android:layout_width="match_parent"
                        android:layout_height="match_parent"
                        android:overScrollMode="never" />

                    <com.scwang.smart.refresh.footer.ClassicsFooter
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content" />
                </com.scwang.smart.refresh.layout.SmartRefreshLayout>

            </LinearLayout>
        </LinearLayout>


        <!--            汇总数据 区域-->
        <LinearLayout
            android:id="@+id/totalLayout"
            android:layout_width="match_parent"
            android:layout_height="50dp"
            android:background="@color/dark_grey"
            android:orientation="horizontal"
            android:visibility="gone">

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:layout_marginLeft="20dp"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="总票数："
                android:textColor="@color/white"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/totalPc"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="0"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="票，已选中："
                android:textColor="@color/white"
                android:textSize="20sp" />

            <TextView
                android:id="@+id/selPc"
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="0"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_height="match_parent"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="票"
                android:textColor="@color/white"
                android:textSize="20sp" />

            <LinearLayout
                android:layout_width="0dp"
                android:layout_height="match_parent"
                android:layout_weight="1" />

            <TextView
                android:id="@+id/send"
                android:layout_width="100dp"
                android:layout_height="wrap_content"
                android:layout_marginRight="20dp"
                android:background="@drawable/send_shape"
                android:ellipsize="end"
                android:gravity="center"
                android:maxLines="1"
                android:singleLine="true"
                android:text="确认移库"
                android:textColor="@color/dark_grey"
                android:textSize="20sp" />
        </LinearLayout>
    </LinearLayout>

</LinearLayout>